﻿Ext.define('App.Control.Kivii.Finances.Settlement.Customer.Selector', {
    extend: 'System.Control.EntitySelector',
    entityType:'Kivii.Customers.Entities.Customer',
    xtype:'App.Control.Kivii.Finances.Settlement.Customer.Selector',
    filter:{},
    selModel: false,
    store:{
    	autoLoad:true
    },
    tbar:[{
    	xtype: 'searchField',
        flex: 1,
        labelWidth: 60,
        queryField: 'FullName,Mobilephone,Email,WebSite',
        emptyText: '模糊搜索客户信息'
    },{
        text: '快速添加',
        iconCls: 'x-fa fa-plus',
        iconAlign: 'left',
        handler: '_onCreateCustomer'
    }],
    columns: [{
        xtype: 'rownumberer'
    },{
    	text:'客户名称',
        dataIndex: 'FullName',
        width:180
    },{
    	text:'备注',
        dataIndex: 'Remark',
        flex:1
    }],
    controller: {
        _onCreateCustomer: function(_ctrl) {
            let _controller = this;
            let _view = _controller.getView();
            let _customer = Ext.create('App.Control.Kivii.Finances.Settlement.Customer.Create.Form',{header:false});
            let _win = Ext.create('Ext.window.Window', {
                layout: 'fit',
                title: _ctrl.text,
                iconCls: _ctrl.iconCls,//'x-fa fa-user',
                iconAlign: 'left',
                autoScroll: true,
                width: 600,
                height: 250,
                modal: true,
                resizable: false,
                items: [_customer]
            });
            _win.show();
            _customer.on('entityCreated', function() {
                _win.close();
            });
            _win.on('close', function() {
                _view.reload();
            });
        }
    }
});